# Default Settings

ALE offers five different default settings, each of which emphasizes image quality, speed, or some other rendering characteristic, as follows:

--q0 Low quality, high speed. [default] --qn Low noise, moderate speed. --q1 Moderate quality and speed. --q2 High quality, low speed. --qr Range-extended high quality.

These settings specify defaults for other options: --dchain, --achain, --3d-chain, --ips, --exp-extend, and --cx. For more information about these options, see and . Details regarding these defaults are provided in the following sections.

High speed (--q0)

`--q0` emphasizes speed over image quality. This option is default, and sets other options' defaults as follows:

--dchain fine:box:1,triangle:2 --achain triangle:2 --ips 0 --exp-noextend --no-cx --3d-chain fine:box:1,triangle:2
Low noise (--qn)

`--qn` emphasizes low noise over resolution and rendering speed, and sets the following defaults:

--dchain sinc*lanc:6 --achain sinc*lanc:6 --ips 0 --exp-noextend --no-cx --3d-chain sinc*lanc:6
Balanced quality and speed (--q1)

`--q1` balances image quality and rendering speed, offering higher resolution than `--qn`. As this option uses median values, its memory use is linear in the number of input images (rather than constant).

--dchain median:fine:sinc*lanc:8,triangle:2 --achain triangle:2 --ips 0 --exp-noextend --no-cx --3d-chain median:fine:sinc*lanc:8,triangle:2
High quality (--q2)

--q2 favors image quality over rendering speed, offering greater emphasis for high-frequency details than --q0, --qn, or --q1. It depends on the --lpsf and --nlpsf options, which can be set indirectly via the --device option. (More information about these options can be found in and .) --q2 sets the following defaults:

--dchain triangle:2 --achain triangle:2 --ips 4 --exp-noextend --no-cx --3d-chain median:fine:sinc*lanc:8,triangle:2
Range extension (--qr)

`--qr` is similar to `--q2`, but offers improved rendering when input images have been taken with unequal exposures. In other cases, it may exacerbate noise in light and dark regions. This option sets the following defaults:

--dchain triangle:2 --achain triangle:2 --ips 6 --exp-extend --cx 0.7 --3d-chain median:fine:sinc*lanc:8,triangle:2